Skip to main content
POST
/
deliver
/
schedules
Create a schedule
curl --request POST \
  --url https://api-sandbox.orum.io/deliver/schedules \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Orum-Version: <orum-version>' \
  --data '
{
  "schedule_reference_id": "<string>",
  "amount": 2,
  "currency": "USD",
  "start_date": "2025-01-01",
  "recurrence": "RRULE:FREQ=WEEKLY;INTERVAL=1;BYDAY=MO,WE,FR",
  "source": {
    "customer_reference_id": "<string>",
    "account_reference_id": "<string>",
    "statement_display_name": "<string>"
  },
  "destination": {
    "customer_reference_id": "<string>",
    "account_reference_id": "<string>",
    "statement_display_name": "<string>"
  }
}
'
import requests

url = "https://api-sandbox.orum.io/deliver/schedules"

payload = {
"schedule_reference_id": "<string>",
"amount": 2,
"currency": "USD",
"start_date": "2025-01-01",
"recurrence": "RRULE:FREQ=WEEKLY;INTERVAL=1;BYDAY=MO,WE,FR",
"source": {
"customer_reference_id": "<string>",
"account_reference_id": "<string>",
"statement_display_name": "<string>"
},
"destination": {
"customer_reference_id": "<string>",
"account_reference_id": "<string>",
"statement_display_name": "<string>"
}
}
headers = {
"Orum-Version": "<orum-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'Orum-Version': '<orum-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
schedule_reference_id: '<string>',
amount: 2,
currency: 'USD',
start_date: '2025-01-01',
recurrence: 'RRULE:FREQ=WEEKLY;INTERVAL=1;BYDAY=MO,WE,FR',
source: {
customer_reference_id: '<string>',
account_reference_id: '<string>',
statement_display_name: '<string>'
},
destination: {
customer_reference_id: '<string>',
account_reference_id: '<string>',
statement_display_name: '<string>'
}
})
};

fetch('https://api-sandbox.orum.io/deliver/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "schedule": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "schedule_reference_id": "<string>",
    "amount": 2,
    "currency": "USD",
    "start_date": "2025-01-01",
    "recurrence": "RRULE:FREQ=WEEKLY;INTERVAL=1;BYDAY=MO,WE,FR",
    "next_payment_date": "2025-01-01",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "rrule_readable": "Weekly on Monday, Wednesday, and Friday",
    "source": {
      "customer_reference_id": "<string>",
      "account_reference_id": "<string>",
      "statement_display_name": "<string>"
    },
    "destination": {
      "customer_reference_id": "<string>",
      "account_reference_id": "<string>",
      "statement_display_name": "<string>"
    }
  }
}
{
"error_code": "<string>",
"message": "<string>",
"details": {}
}
{
"error_code": "<string>",
"message": "<string>",
"details": {}
}
Either a source, destination, or both are required in the request body.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

Orum-Version
enum<string>
required

Version of Deliver and Verify APIs. Use v2022-09-21.

Available options:
v2022-09-21

Body

application/json
schedule_reference_id
string
required

Unique reference id for the Schedule. Generated by you.

Minimum string length: 1
amount
integer
required

Transfer amount in integral cents (example: 100 = $1). Must be greater than zero.

Required range: x >= 1
currency
enum<string>
required

Currency code in ISO 4217 format. Only USD is supported.

Available options:
USD
speed
enum<string>
required

Speed of transfer.

Available options:
asap,
standard,
same_day,
wire
start_date
string<date>
required

The date when the schedule starts, in YYYY-MM-DD format.

Example:

"2025-01-01"

recurrence
string
required

Recurrence of the schedule in iCalendar RRULE format

Example:

"RRULE:FREQ=WEEKLY;INTERVAL=1;BYDAY=MO,WE,FR"

source
Source · object | null

For use cases that require a Source, information about the transfer funding source, which will be debited.

destination
TransferDestination · object | null

Information about the transfer funds destination, which will be credited.

Response

200 response.

schedule
object
required